"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateVersion = exports.supportedVersionsTypeMapping = exports.supportedVersions = void 0;
exports.supportedVersions = {
    motif: ['MotifItem20210905', 'MotifAvatar20210905', 'MotifSpace20210905', 'MotifLand20210905']
};
exports.supportedVersionsTypeMapping = {
    motif: {
        'MotifItem20210905': 'Motif20210905',
    }
};
function validateVersion(verboseVersion) {
    const [name, calVer] = verboseVersion.split('-');
    if (!(name in exports.supportedVersions)) {
        throw new Error(`There are no versions with the ${name} project name`);
    }
    // require calVer exists in `versions`
    if (exports.supportedVersions[name].indexOf(calVer) == -1) {
        throw new Error(`There are no versions in the ${name} namespace with the ${calVer} calendar version`);
    }
    return;
}
exports.validateVersion = validateVersion;
//# sourceMappingURL=versions.js.map